Loading...
Searching...
No Matches
data-loop.h File Reference
Implementation API » Data Loop

pipewire/data-loop.h More...

Go to the source code of this file.

## Data Structures

struct | pw_data_loop_events
| Loop events, use pw_data_loop_add_listener to add a listener. More...

## Macros

#define | PW_VERSION_DATA_LOOP_EVENTS 0

## Functions

struct pw_data_loop * | pw_data_loop_new (const struct spa_dict *props)
| Make a new loop.
void | pw_data_loop_add_listener (struct pw_data_loop *loop, struct spa_hook *listener, const struct pw_data_loop_events *events, void *data)
| Add an event listener to loop.
int | pw_data_loop_wait (struct pw_data_loop *loop, int timeout)
| wait for activity on the loop up to timeout milliseconds.
void | pw_data_loop_exit (struct pw_data_loop *loop)
| make sure the thread will exit.
struct pw_loop * | pw_data_loop_get_loop (struct pw_data_loop *loop)
| Get the loop implementation of this data loop.
const char * | pw_data_loop_get_name (struct pw_data_loop *loop)
| Get the loop name.
const char * | pw_data_loop_get_class (struct pw_data_loop *loop)
| Get the loop class.
void | pw_data_loop_destroy (struct pw_data_loop *loop)
| Destroy the loop.
int | pw_data_loop_start (struct pw_data_loop *loop)
| Start the processing thread.
int | pw_data_loop_stop (struct pw_data_loop *loop)
| Stop the processing thread.
bool | pw_data_loop_in_thread (struct pw_data_loop *loop)
| Check if the current thread is the processing thread.
struct spa_thread * | pw_data_loop_get_thread (struct pw_data_loop *loop)
| Get the thread object.
int | pw_data_loop_invoke (struct pw_data_loop *loop, spa_invoke_func_t func, uint32_t seq, const void *data, size_t size, bool block, void *user_data)
| invoke func in the context of the thread or in the caller thread when the loop is not running.
void | pw_data_loop_set_thread_utils (struct pw_data_loop *loop, struct spa_thread_utils *impl)
| Set a custom spa_thread_utils for this loop.

## Detailed Description

pipewire/data-loop.h